import {url} from '../../request'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    projectImage:""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  jiedan(){
    wx.navigateTo({
      url: '/pages/woyaojiedan/woyaojiedan',
    })
  },
  mingxi(){
    wx.navigateTo({
      url: '/pages/mingxi/mingxi',
    })
  },
  onLoad(options) {
    const that = this
    const id = options.id
    wx.request({
      url: url + '/project/query/id',
      method: 'POST',
      data: {
        "id": id
      },
      header: {
        'content-type': 'application/json'
      },
      success(res) {
        console.log('查询成功', res);
        if(res.data.code==1){
          const defalt = res.data.data
          
          that.setData({
            projectDesc:defalt.projectDesc,
            projectDescription:defalt.projectDescription,
            projectFlow:defalt.projectFlow,
            projectImage:defalt.projectImage,
            projectName:defalt.projectName,
            projectStatus:defalt.projectStatus,
            settlementDesc:defalt.settlementDesc,
            projectPrice:defalt.projectPrice,
          })
        }
      },
      fail(err) {
        console.error('请求失败', err);
      }
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})